diff --git a/build.sh b/build.sh
index 015db6de8e41ace6f79e2bcbab14579e217d8edf..cdf2e0cff5435476a1fcb450bc83d323d265c1cc 100755
--- a/build.sh
+++ b/build.sh
@@ -111,6 +111,9 @@ fi
 # Check of we have to do a make install
 if [ x"$comp_type" == x"full" ]; then
     make install
+    if [ x"$?" != x"0" ]; then
+        exit 1
+    fi
 else
     echo "Make install partial"
     if [ x"$comp_type" == x"intel" ]; then